package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 仪校验对象 t_pssr_instrument_calibration
 *
 * @author ssy
 * @date 2024-09-23
 */
public class TPssrInstrumentCalibration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 内容表id */
    @Excel(name = "内容表id")
    private Long subId;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 单元号 */
    @Excel(name = "单元号")
    private String unit;

    /** 流量计位号 */
    @Excel(name = "流量计位号")
    private String devNo;

    /** 外观检查 */
    @Excel(name = "外观检查")
    private String visualInspection;

    /** 安装检查 */
    @Excel(name = "安装检查")
    private String installationInspection;

    /** 功能检查 */
    @Excel(name = "功能检查")
    private String functionalCheck;

    /** 仪表检查人 */
    @Excel(name = "仪表检查人")
    private String meterChecker;

    /** 工艺确认人 */
    @Excel(name = "工艺确认人")
    private String processValidator;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmationDate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }
    private String flowCheck;
    private String fileCheck;
    private String devType;

    public String getFlowCheck() {
        return flowCheck;
    }

    public void setFlowCheck(String flowCheck) {
        this.flowCheck = flowCheck;
    }

    public String getFileCheck() {
        return fileCheck;
    }

    public void setFileCheck(String fileCheck) {
        this.fileCheck = fileCheck;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    /** 确认人1 */
    @Excel(name = "确认人1")
    private String confirm1;

    /** 确认人2 */
    @Excel(name = "确认人2")
    private String confirm2;

    private Long[] ids;

    private Long taskType;

    public String getConfirm1() {
        return confirm1;
    }

    public void setConfirm1(String confirm1) {
        this.confirm1 = confirm1;
    }

    public String getConfirm2() {
        return confirm2;
    }

    public void setConfirm2(String confirm2) {
        this.confirm2 = confirm2;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setVisualInspection(String visualInspection)
    {
        this.visualInspection = visualInspection;
    }

    public String getVisualInspection()
    {
        return visualInspection;
    }
    public void setInstallationInspection(String installationInspection)
    {
        this.installationInspection = installationInspection;
    }

    public String getInstallationInspection()
    {
        return installationInspection;
    }
    public void setFunctionalCheck(String functionalCheck)
    {
        this.functionalCheck = functionalCheck;
    }

    public String getFunctionalCheck()
    {
        return functionalCheck;
    }
    public void setMeterChecker(String meterChecker)
    {
        this.meterChecker = meterChecker;
    }

    public String getMeterChecker()
    {
        return meterChecker;
    }
    public void setProcessValidator(String processValidator)
    {
        this.processValidator = processValidator;
    }

    public String getProcessValidator()
    {
        return processValidator;
    }
    public void setConfirmationDate(Date confirmationDate)
    {
        this.confirmationDate = confirmationDate;
    }

    public Date getConfirmationDate()
    {
        return confirmationDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("approveId", getApproveId())
            .append("unit", getUnit())
            .append("devNo", getDevNo())
            .append("visualInspection", getVisualInspection())
            .append("installationInspection", getInstallationInspection())
            .append("functionalCheck", getFunctionalCheck())
            .append("meterChecker", getMeterChecker())
            .append("processValidator", getProcessValidator())
            .append("confirmationDate", getConfirmationDate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .toString();
    }
}
